Subject: Re: bug#13524: [PATCH 1/2] preproc: add support for relative names in included fragments

From: Bert Wesarg <[email-masked]>
Date: Mon, 11 Mar 2013 13:05:41 +0100

On Mon, Mar 11, 2013 at 10:46 AM, Stefano Lattarini
<[email-masked]> wrote:
> On 03/11/2013 10:31 AM, Bert Wesarg wrote:
>> I have the impression that variable references in filenames aren't
>> supported anyway, right?
>>
> Wrong, actually.

But when I prefixing a source file with '$(src)/' and use
subdir-objects then I get something like this in the Makefile.in

$(src)/test-test.o: $(src)/test.c

And after a configure I get an '$(src)' directory in my build dir.

- 8< - Makefile.am - >8 -

src = .
bin_PROGRAMS = test
test_SOURCES = \
    $(src)/test.c
test_CPPFLAGS = \
    $(AM_CPPFLAGS) -W

- >8 - Makefile.am - 8< -

Bert

> Best regards,
>   Stefano